> ## Documentation Index
> Fetch the complete documentation index at: https://api-doc.track.graviton.ma/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a passenger

> Works with resources accessible to your account. Requires write access. A read-only account cannot perform this operation.



## OpenAPI

````yaml /openapi.json post /passengers
openapi: 3.0.3
info:
  title: Graviton Geo V1 Client API
  version: 2.0.0
  description: >-
    Client API for Graviton Geo V1. Use an API token to access your fleet,
    tracking, resources, commands, and reports. The REST API base path is
    /api/v2.
servers:
  - url: https://fleet.graviton.ma/api/v2
    description: Production
security:
  - ApiKey: []
tags:
  - name: System
  - name: Account
  - name: Fleet
  - name: Tracking
  - name: Commands
  - name: Places
  - name: People and groups
  - name: Events
  - name: Maintenance
  - name: Sensors
  - name: Reports
  - name: Templates
paths:
  /passengers:
    post:
      tags:
        - People and groups
      summary: Create a passenger
      description: >-
        Works with resources accessible to your account. Requires write access.
        A read-only account cannot perform this operation.
      operationId: post_passengers
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PassengersInput'
      responses:
        '201':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - data
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: object
                    properties:
                      passenger_id:
                        oneOf:
                          - type: number
                          - type: string
                        description: >-
                          Numeric value; legacy values may be serialized as
                          strings.
                      passenger_name:
                        description: Passenger name.
                      passenger_assign_id:
                        description: Passenger assign id.
                      passenger_idn:
                        description: Passenger idn.
                      passenger_address:
                        description: Passenger address.
                      passenger_phone:
                        description: Passenger phone.
                      passenger_email:
                        description: Passenger email.
                      passenger_desc:
                        description: Passenger desc.
                      passenger_client_id:
                        description: Passenger client id.
                      passenger_active:
                        description: Passenger active.
                      passenger_pickup_point_id:
                        description: Passenger pickup point id.
                    additionalProperties: true
                  meta:
                    $ref: '#/components/schemas/Meta'
        '401':
          $ref: '#/components/responses/Error'
        '403':
          $ref: '#/components/responses/Error'
        '422':
          $ref: '#/components/responses/Error'
        '429':
          $ref: '#/components/responses/Error'
        '503':
          $ref: '#/components/responses/WritesDisabled'
components:
  schemas:
    PassengersInput:
      type: object
      required:
        - passenger_name
      properties:
        passenger_name:
          description: Passenger name.
        passenger_assign_id:
          description: Passenger assign id.
        passenger_idn:
          description: Passenger idn.
        passenger_address:
          description: Passenger address.
        passenger_phone:
          description: Passenger phone.
        passenger_email:
          description: Passenger email.
        passenger_desc:
          description: Passenger desc.
        passenger_client_id:
          description: Passenger client id.
        passenger_active:
          description: Passenger active.
        passenger_pickup_point_id:
          description: Passenger pickup point id.
    Meta:
      type: object
      properties:
        request_id:
          type: string
        page:
          type: integer
        per_page:
          type: integer
        total:
          type: integer
        pages:
          type: integer
    ErrorEnvelope:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            details:
              type: object
              additionalProperties: true
        meta:
          $ref: '#/components/schemas/Meta'
  responses:
    Error:
      description: API error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    WritesDisabled:
      description: Production write safety switch is disabled
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your Graviton API token. Send Authorization: Bearer YOUR_API_TOKEN or
        Authorization: YOUR_API_TOKEN. Each token has individual permissions; a
        valid token without the permission required by the method and route
        returns 403 TOKEN_PERMISSION_DENIED.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.